Package: org.grails.gradle.plugin.web

## [Groovy] Class GrailsWebGradlePlugin

- org.grails.gradle.plugin.web.GrailsWebGradlePlugin

- Adds web specific extensions

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsGradlePlugin` | `APPLICATION_CONTEXT_COMMAND_CLASS, CORE_GORM_LIBRARIES, CORE_GORM_PLUGINS, PROFILE_CONFIGURATION`
    `class org.gradle.api.plugins.GroovyPlugin` | `GROOVYDOC_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebGradlePlugin (org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `apply(org.gradle.api.Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsGradlePlugin` | `addDefaultProfile, apply, applyBasePlugins, applyDefaultPlugins, applySpringBootPlugin, buildClasspath, configureApplicationCommands, configureAssetCompilation, configureConsoleTask, configureFileWatch, configureForkSettings, configureGrailsBuildSettings, configureGrailsSourceDirs, configurePathingJar, configureProfile, configureRunCommand, configureRunScript, configureSpringBootExtension, createBuildPropertiesTask, createConsoleTask, createNative2AsciiTask, createPathingJarTask, createShellTask, enableFileWatch, enableNative2Ascii, getDefaultProfile, isGrailsSourceDirectory, registerFindMainClassTask, registerGrailsExtension, registerToolingModelBuilder, resolveClassesDirs, resolveGrailsResourceDirs, resolveGrailsSourceDirs, resolveGrailsVersion`
    `class org.gradle.api.plugins.GroovyPlugin` | `org.gradle.api.plugins.GroovyPlugin#apply(org.gradle.api.Project), org.gradle.api.plugins.GroovyPlugin#apply(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#wait(long, int), org.gradle.api.plugins.GroovyPlugin#wait(long), org.gradle.api.plugins.GroovyPlugin#wait(), org.gradle.api.plugins.GroovyPlugin#equals(java.lang.Object), org.gradle.api.plugins.GroovyPlugin#toString(), org.gradle.api.plugins.GroovyPlugin#hashCode(), org.gradle.api.plugins.GroovyPlugin#getClass(), org.gradle.api.plugins.GroovyPlugin#notify(), org.gradle.api.plugins.GroovyPlugin#notifyAll()`

- - ### Constructor Detail

    - #### @javax.inject.Inject GrailsWebGradlePlugin(org.gradle.tooling.provider.model.ToolingModelBuilderRegistry registry)

  - ### Method Detail

    - #### @groovy.transform.CompileDynamic @java.lang.Override void apply(org.gradle.api.Project project)